package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 电表数据
 */
public class AmmeterStatisListVo {


    /** 类别 */
    private String dataTime;

//    private String timePart;

    /** 组合有功-总 (kWh) */
    private BigDecimal activeTotalKwh = BigDecimal.ZERO;

    /** 组合有功-尖 (kWh) */
    private BigDecimal activePeakKwh = BigDecimal.ZERO;

    /** 组合有功-峰 (kWh) */
    private BigDecimal activeHighKwh = BigDecimal.ZERO;

    /** 组合有功-平 (kWh) */
    private BigDecimal activeFlatKwh = BigDecimal.ZERO;

    /** 组合有功-谷 (kWh) */
    private BigDecimal activeValleyKwh = BigDecimal.ZERO;

    /** 组合无功-总 (kWh) */
    private BigDecimal reActiveTotalKwh = BigDecimal.ZERO;

    /** 组合无功-尖 (kWh) */
    private BigDecimal reActivePeakKwh = BigDecimal.ZERO;

    /** 组合无功-峰 (kWh) */
    private BigDecimal reActiveHighKwh = BigDecimal.ZERO;

    /** 组合无功-平 (kWh) */
    private BigDecimal reActiveFlatKwh = BigDecimal.ZERO;

    /** 组合无功-谷 (kWh) */
    private BigDecimal reActiveValleyKwh = BigDecimal.ZERO;

    /** 效率-有功总/无功总 */
    private BigDecimal effect = BigDecimal.ZERO;

    private String remark;

    public String getDataTime() {
        return dataTime;
    }

    public void setDataTime(String dataTime) {
        this.dataTime = dataTime;
    }
//
//    public String getTimePart() {
//        return timePart;
//    }
//
//    public void setTimePart(String timePart) {
//        this.timePart = timePart;
//    }

    public BigDecimal getActiveTotalKwh() {
        return activeTotalKwh;
    }

    public void setActiveTotalKwh(BigDecimal activeTotalKwh) {
        this.activeTotalKwh = activeTotalKwh;
    }

    public BigDecimal getActivePeakKwh() {
        return activePeakKwh;
    }

    public void setActivePeakKwh(BigDecimal activePeakKwh) {
        this.activePeakKwh = activePeakKwh;
    }

    public BigDecimal getActiveHighKwh() {
        return activeHighKwh;
    }

    public void setActiveHighKwh(BigDecimal activeHighKwh) {
        this.activeHighKwh = activeHighKwh;
    }

    public BigDecimal getActiveFlatKwh() {
        return activeFlatKwh;
    }

    public void setActiveFlatKwh(BigDecimal activeFlatKwh) {
        this.activeFlatKwh = activeFlatKwh;
    }

    public BigDecimal getActiveValleyKwh() {
        return activeValleyKwh;
    }

    public void setActiveValleyKwh(BigDecimal activeValleyKwh) {
        this.activeValleyKwh = activeValleyKwh;
    }

    public BigDecimal getReActiveTotalKwh() {
        return reActiveTotalKwh;
    }

    public void setReActiveTotalKwh(BigDecimal reActiveTotalKwh) {
        this.reActiveTotalKwh = reActiveTotalKwh;
    }

    public BigDecimal getReActivePeakKwh() {
        return reActivePeakKwh;
    }

    public void setReActivePeakKwh(BigDecimal reActivePeakKwh) {
        this.reActivePeakKwh = reActivePeakKwh;
    }

    public BigDecimal getReActiveHighKwh() {
        return reActiveHighKwh;
    }

    public void setReActiveHighKwh(BigDecimal reActiveHighKwh) {
        this.reActiveHighKwh = reActiveHighKwh;
    }

    public BigDecimal getReActiveFlatKwh() {
        return reActiveFlatKwh;
    }

    public void setReActiveFlatKwh(BigDecimal reActiveFlatKwh) {
        this.reActiveFlatKwh = reActiveFlatKwh;
    }

    public BigDecimal getReActiveValleyKwh() {
        return reActiveValleyKwh;
    }

    public void setReActiveValleyKwh(BigDecimal reActiveValleyKwh) {
        this.reActiveValleyKwh = reActiveValleyKwh;
    }

    public BigDecimal getEffect() {
        return effect;
    }

    public void setEffect(BigDecimal effect) {
        this.effect = effect;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
